Donate to e Foundation | Murena handsets with /e/OS | Own a part of Murena! Learn more

Commit 1d225777 authored by Linus Torvalds's avatar Linus Torvalds
Browse files

Merge tag 'kbuild-fixes-v4.19' of...

Merge tag 'kbuild-fixes-v4.19' of git://git.kernel.org/pub/scm/linux/kernel/git/masahiroy/linux-kbuild

Pull Kbuild fixes from Masahiro Yamada:

 - make setlocalversion more robust about -dirty check

 - loosen the pkg-config requirement for Kconfig

 - change missing depmod to a warning from an error

 - warn modules_install when System.map is missing

* tag 'kbuild-fixes-v4.19' of git://git.kernel.org/pub/scm/linux/kernel/git/masahiroy/linux-kbuild:
  kbuild: modules_install: warn when missing System.map file
  kbuild: make missing $DEPMOD a Warning instead of an Error
  kconfig: do not require pkg-config on make {menu,n}config
  kconfig: remove a spurious self-assignment
  scripts/setlocalversion: git: Make -dirty check more robust
parents f8f65382 f0b0d88a
Loading
Loading
Loading
Loading
+1 −1
Original line number Diff line number Diff line
@@ -86,7 +86,7 @@ pkg-config

The build system, as of 4.18, requires pkg-config to check for installed
kconfig tools and to determine flags settings for use in
'make {menu,n,g,x}config'.  Previously pkg-config was being used but not
'make {g,x}config'.  Previously pkg-config was being used but not
verified or documented.

Flex
+3 −2
Original line number Diff line number Diff line
@@ -11,13 +11,14 @@ DEPMOD=$1
KERNELRELEASE=$2

if ! test -r System.map ; then
	echo "Warning: modules_install: missing 'System.map' file. Skipping depmod." >&2
	exit 0
fi

if [ -z $(command -v $DEPMOD) ]; then
	echo "'make modules_install' requires $DEPMOD. Please install it." >&2
	echo "Warning: 'make modules_install' requires $DEPMOD. Please install it." >&2
	echo "This is probably in the kmod package." >&2
	exit 1
	exit 0
fi

# older versions of depmod require the version string to start with three
+0 −1
Original line number Diff line number Diff line
@@ -221,7 +221,6 @@ $(obj)/zconf.tab.o: $(obj)/zconf.lex.c

# check if necessary packages are available, and configure build flags
define filechk_conf_cfg
	$(CONFIG_SHELL) $(srctree)/scripts/kconfig/check-pkgconfig.sh; \
	$(CONFIG_SHELL) $<
endef

+0 −8
Original line number Diff line number Diff line
#!/bin/sh
# SPDX-License-Identifier: GPL-2.0
# Check for pkg-config presence

if [ -z $(command -v pkg-config) ]; then
	echo "'make *config' requires 'pkg-config'. Please install it." 1>&2
	exit 1
fi
+7 −0
Original line number Diff line number Diff line
@@ -3,6 +3,13 @@

PKG="gtk+-2.0 gmodule-2.0 libglade-2.0"

if [ -z "$(command -v pkg-config)" ]; then
	echo >&2 "*"
	echo >&2 "* 'make gconfig' requires 'pkg-config'. Please install it."
	echo >&2 "*"
	exit 1
fi

if ! pkg-config --exists $PKG; then
	echo >&2 "*"
	echo >&2 "* Unable to find the GTK+ installation. Please make sure that"
Loading